def find_missing_number(sequence):
    """
    Function to find the missing number in a sequence of integers.
    The sequence is expected to be a string of digits representing a consecutive sequence of numbers.
    """
    n = len(sequence)
    for length in range(1, 7):  # Check for possible lengths of the numbers (1 to 6 digits)
        numbers = [int(sequence[i:i + length]) for i in range(0, n, length)]

        # Check if the sequence is valid
        if len(numbers) < 2:
            continue

        # Search for the missing number
        for i in range(len(numbers) - 1):
            if numbers[i + 1] - numbers[i] > 1:
                return numbers[i] + 1
    return None


if __name__ == "__main__":
    # Test cases based on the problem description
    test_cases = [
        ("23242526272830", 29),
        ("101102103104105106107108109110112", 111),
        ("12346789", 5)
    ]

    for sequence, expected in test_cases:
        result = find_missing_number(sequence)
        print(f"Sequence: {sequence}")
        print(f"Missing Number: {result}")
        print(f"Expected: {expected}")
        print("Correct!" if result == expected else "Incorrect!", "\n")